<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>
<xsl:template match="LAYOUT">
<xsl:variable name="cID" select="@ID"/>

<html>
<!-- xeug-09 -->
<head>
<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body style="margin: 0;">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
    	<td valign="top">
			<table border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%;">
      			<tr>
        			<td height="200" style="background: url('images/header_bg.gif'); background-repeat:repeat-x;" >
						<table width="100%"  border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%; background: url('images/header.jpg') no-repeat;">
          					<tr>
            					<td width="100%" height="200" >
									<!-- LOGO -->
									<table width="330"  border="0" cellspacing="0" cellpadding="0">
										<tr>
							                <td width="35" rowspan="2"><div style="width: 35px; height: 0px;"></div></td>
							                <td width="63" rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
							                <td class="company" style="padding-bottom:0px;">
												<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
											</td>
										</tr>
										<tr>
											<td class="slogan" align="left" style="padding-top:0px;">
											<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
											</td>
										</tr>
            						</table>
									<!-- END LOGO -->
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td height="88" style="background: url('images/13_04.gif');">
						<table width="100%"  border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%; background: url('images/12_03.gif') no-repeat;">
							<tr>
	            				<td height="98">
									<!-- MENU -->
									<table border="0" align="left" cellpadding="0" cellspacing="0">
										<tr>
											<td width="50"><div style="width:50px; "></div></td>
												<xsl:call-template name="TOP-MENU"/>
										</tr>
	            					</table>
									<!-- END MENU -->
			   					</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td valign="bottom" height="100%" style="background: url('images/11_03.gif'); background-position:bottom">
						<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
							<tr>
								<td width="100%" height="100%" valign="bottom" style="background:url('images/100_02.gif') no-repeat; background-position:bottom left">
									<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
										<tr>
											<td style="background:url('images/101_03.gif') no-repeat; background-position:bottom right ">
												<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
													<tr>
														<td height="20" colspan="2" valign="top" class="pageContent"></td>
													</tr>
													<tr>
														<td rowspan="2" valign="top" style="width: 20%; height: 100%;">
															<!-- SUBMENU -->
															<table width="100%"  border="0" cellpadding="0" cellspacing="0">
																<tr>
																	<td><div style="width: 30px; height: 0;"><span></span></div></td>
																	<td width="100">
																		<table width="200" border="0" cellspacing="10" cellpadding="0">
																			<xsl:call-template name="SUB-MENU">
																				<xsl:with-param name="pageID" select="@ID"/>
																			</xsl:call-template>
																		</table>
																	</td>
																	<td><div style="width: 30px; height: 0;"><span></span></div></td>
																</tr>
										                    </table>
															<!-- END SUBMENU -->
														</td>
														<!-- CONTENT -->
									                    <td valign="top" class="pageContent" name="SB_stretch" style="height: 100%;">
										                    <table border="0" cellspacing="0" cellpadding="0">
										                        <tr>
																	<td class="text-header">
																		<div style="width:100%;">
																			<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
																		</div>
																	</td>
																	<td align="left" style="padding-left:10px;"><img src="images/16_03.gif" width="20" height="17"/></td>
										                        </tr>
										                    </table>
															<div style="width:0px; height:15px;"><span></span></div>
													   		<table width="100%">
														   		<tr>
															   		<td height="300" name="SB_stretch" valign="top" class="pageContent" style="padding-right:30px;">
																		<xsl:apply-templates select="PAGE-CONTENT"/>
															   		</td>
														   		</tr>
													   		</table>
														</td>
														<!-- END CONTENT -->
													</tr>
													<tr>
														<td height="60" align="right" style="padding-right:20px;">
															<!-- FOOTER -->
															<table width="43%"  border="0" cellspacing="0" cellpadding="0">
											                    <td width="400" class="footer" align="right">
																	<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
											                    </td>
											                </table>
															<!--END  FOOTER -->
														</td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</body>
</html>

</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td class="asubmenu" style="padding-right: 5px; width: 100%;">
				<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td><img src="images/1_03.gif" border="0" alt=""/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-right: 5px; width: 100%;">
					<a href="{@HREF}" class="submenu">
					<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td><a href="{@HREF}">
					<img src="images/1_03.gif" border="0" alt=""/>
					</a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2"  ><div style="height:2px; background-image: url('images/2_07.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		
			<td align="center"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			
			<td align="center" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            
           </xsl:when>
           <xsl:otherwise>
		   
			<td align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="30" align="center" rowspan="2"><img src="images/bmenu_separator.gif"/></td>
			
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

