<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xsk-05 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>

</head>

<body  background="images/bg.gif" style="margin:0;">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td width="41"><img name="" src="" width="41" height="1" alt=""/></td>
    <td height="100%" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="128" align="center"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><a href="./"><img src="images/{LOGO/@NAME}" alt="" hspace="15" border="0"/></a></td>
            <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td background="images/headers_bg.jpg"><table width="100%" height="188"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td style="background:url(images/header_1.jpg) no-repeat left;"><table width="100%" height="188"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td class="slogan" style="background:url(images/headers.jpg) no-repeat right;padding-left:51px;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
            </tr>
        </table></td>
      </tr>
      <tr>
        <td><table width="100%"  border="0" cellpadding="0" cellspacing="0" background="images/menu_bg.jpg">
          <tr>
            <td width="79"><img src="images/left.jpg" width="79" height="70"/></td>
            <td align="center" style="background:url(images/right.jpg) no-repeat right;padding-bottom:12px;"><table  border="0" cellspacing="0" cellpadding="0">
              <tr>
<xsl:call-template name="TOP-MENU"/>
<td><img src="" width="80" height="1" alt=""/></td>
              </tr>
            </table></td>
            </tr>
        </table></td>
      </tr>
      <tr>
        <td height="100%" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#C3C8CC">
          <tr>
            <td width="40" height="499" valign="top" background="images/left_bg.jpg"><img src="images/left1.jpg" width="40" height="325"/></td>
            <td height="100%" valign="top" style="background:url(images/content_bg.jpg) repeat-x top;padding:20px 27px 0px 0px;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td height="24"><table  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td style="padding-right:7px;"><img src="images/icon.gif" width="17" height="17"/></td>
                    <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  </tr>
                </table></td>
              </tr>
              <tr>
                <td height="100%" valign="top" class="pageContent" style="padding-top:13px;"><xsl:apply-templates select="PAGE-CONTENT"/></td>
              </tr>
            </table></td>
            <td width="200" height="100%" valign="top" background="images/submenu_bg.jpg"><table width="200" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td height="45"><img src="images/submenu_t.jpg" width="200" height="45"/></td>
              </tr>
              <tr>
                <td height="100%" align="left" valign="top" style="background:url(images/submenu.jpg) no-repeat bottom;padding-left:17px;"><table width="151"  border="0" cellspacing="0" cellpadding="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td background="images/bottom.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td align="left"><img src="images/left_b.jpg" width="148" height="81"/></td>
                <td align="right"><img src="images/bottom2.jpg" width="144" height="81"/></td>
              </tr>
            </table></td>
            <td width="200"><img src="images/right_b.jpg" width="200" height="81"/></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="80"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="30" align="center"><table  border="0" cellspacing="0" cellpadding="0">
              <tr>
<xsl:call-template name="BOTTOM-MENU"/>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
    <td width="41"><img name="" src="" width="41" height="1" alt=""/></td>
  </tr>
</table>
</body>
</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
                <td height="35"><img src="images/sub_bullet.jpg" width="7" height="7" hspace="10"/></td>
				<td width="124" align="left"><span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
                    <td height="35"><img src="images/sub_bullet.jpg" width="7" height="7" hspace="10"/></td>
					<td width="124" align="left"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				
			</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
                  <tr>
                    <td colspan="2"><img src="images/sub_line.jpg" width="151" height="1"/></td>
                    </tr>
						</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            
           </xsl:when>
           <xsl:otherwise>
		   
			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">	
       <td><img src="images/bmenu_bullet.gif" width="1" height="15" hspace="21"/></td>  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

