<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <!--MENU-->
  <xsl:template match="MENU" mode="top">
    <xsl:apply-templates select="MENU-ITEM"  mode="top"/>
  </xsl:template>

  <!--MENU-ITEM-->
  <xsl:template match="MENU-ITEM"  mode="top">
    <xsl:choose>
      <!-- active menu with link-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        <td align="center">
          <table cellpadding="0" cellspacing="0" border="0">
            <tr>
              <td style="vertical-align: middle; text-align: center">
                <a href="{@HREF}">
                  <img src="images/topmenu31.jpg" border="0"/>
                </a>
              </td>
            </tr>
            <tr>
              <td style="padding-left:4px; padding-right:4px" align="center">
                <a class="menu" href="{@HREF}">
                  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                </a>
              </td>
            </tr>
          </table>
        </td>
      </xsl:when>
      <!-- active menu without link-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td align="center">
          <table cellpadding="0" cellspacing="0" border="0">
            <tr>
              <td style="vertical-align: middle; text-align: center">
                <img src="images/topmenu31.jpg"/>
              </td>
            </tr>
            <tr>
              <td class="menu" style="padding-left:4px; padding-right:4px" align="center">
                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
              </td>
            </tr>
          </table>
        </td>
      </xsl:when>
      <xsl:otherwise>
        <td align="center">
          <table cellpadding="0" cellspacing="0" border="0">
            <tr>
              <td style="vertical-align: middle; text-align: center">
                <a href="{@HREF}">
                  <img src="images/topmenu31.jpg" border="0"/>
                </a>
              </td>
            </tr>
            <tr>
              <td style="padding-left:4px; padding-right:4px" align="center">
                <a class="amenu" href="{@HREF}">
                  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                </a>
              </td>
            </tr>
          </table>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <td style="background-image: url(images/topmenu32.jpg)" width="1px">
      </td>
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>
